/*
 * Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause-Clear
 */

#ifndef __DIAG_IDS_H__
#define __DIAG_IDS_H__

/* Auto-generated file.  DO NOT EDIT !! */
/* Generated by tafDiagGen tool */

/* DTC Event ID definitions */
#define Event_Sample_Big   0x0001 /* 1 */
#define Event_Sample_Small 0x0002 /* 2 */

/* Enable Condition ID definitions */
#define Condition_tooHigh                          0x01 /* 1 */
#define Condition_tooLow                           0x02 /* 2 */
#define Condition_tooBig                           0x03 /* 3 */
#define Condition_tooSmall                         0x04 /* 4 */
#define Condition_vehicleSpeedBodyEqual0           0x05 /* 5 */
#define Condition_vehiclePowerModeEqualLifeOnBoard 0x06 /* 6 */

/* Operation Cycle ID definitions */
#define OperationCycle_IGNITION 0x00 /* 0 */
#define OperationCycle_DC       0x01 /* 1 */
#define OperationCycle_POWER    0x02 /* 2 */

#define tafDiagGen_tool_version "tafDiagGen_tool_version: 2.0.0_default"
#define tafDiagGen_tool_timestamp  "tafDiagGen_tool_timestamp: 2025_02_18__15_49_32"

#endif /* __DIAG_IDS_H__ */
